summaryrefslogtreecommitdiffstats
path: root/source/a/usb_modeswitch/usb_modeswitch.SlackBuild
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2012-09-26 01:10:42 +0000
committer Eric Hameleers <alien@slackware.com>2018-05-31 22:51:55 +0200
commit9664bee729d487bcc0a0bc35859f8e13d5421c75 (patch)
treeb428a16618e36ed864a8d76ea3435e19a452bf90 /source/a/usb_modeswitch/usb_modeswitch.SlackBuild
parent75a4a592e5ccda30715f93563d741b83e0dcf39e (diff)
downloadcurrent-9664bee729d487bcc0a0bc35859f8e13d5421c75.tar.gz
current-9664bee729d487bcc0a0bc35859f8e13d5421c75.tar.xz
Slackware 14.0slackware-14.0
Wed Sep 26 01:10:42 UTC 2012 Slackware 14.0 x86_64 stable is released! We're perfectionists here at Slackware, so this release has been a long time a-brewing. But we think you'll agree that it was worth the wait. Slackware 14.0 combines modern components, ease of use, and flexible configuration... our "KISS" philosophy demands it. The ISOs are off to be replicated, a 6 CD-ROM 32-bit set and a dual-sided 32-bit/64-bit x86/x86_64 DVD. Please consider supporting the Slackware project by picking up a copy from store.slackware.com. We're taking pre-orders now, and offer a discount if you sign up for a subscription. Thanks to everyone who helped make this happen. The Slackware team, the upstream developers, and (of course) the awesome Slackware user community. Have fun! :-)
Diffstat (limited to 'source/a/usb_modeswitch/usb_modeswitch.SlackBuild')
-rwxr-xr-xsource/a/usb_modeswitch/usb_modeswitch.SlackBuild45
1 files changed, 33 insertions, 12 deletions
diff --git a/source/a/usb_modeswitch/usb_modeswitch.SlackBuild b/source/a/usb_modeswitch/usb_modeswitch.SlackBuild
index 67b2070ab..e71d68761 100755
--- a/source/a/usb_modeswitch/usb_modeswitch.SlackBuild
+++ b/source/a/usb_modeswitch/usb_modeswitch.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for usb_modeswitch.
-# Copyright 2010 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2010, 2012 Patrick J. Volkerding, Sebeka, Minnesota, USA
# Copyright 2010 David Somero, Athens, TN, USA
# All rights reserved.
#
@@ -24,9 +24,9 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PKGNAM=usb_modeswitch
-VERSION=${VERSION:-1.1.6}
-DATAVER=${DATAVER:-20101222}
-BUILD=${BUILD:-1}
+VERSION=${VERSION:-1.2.4}
+DATAVER=${DATAVER:-20120812}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -73,11 +73,30 @@ find . \
-exec chmod 644 {} \;
make clean
-gcc $SLKCFLAGS $LDFLAGS -lusb -Wall -o usb_modeswitch usb_modeswitch.c || exit 1
-
-install -D -s -m 0755 usb_modeswitch $PKG/usr/sbin/usb_modeswitch
-install -D -m 0755 usb_modeswitch.tcl $PKG/lib/udev/usb_modeswitch
-install -D -m 0644 usb_modeswitch.conf $PKG/etc/usb_modeswitch.conf.new
+# "make static" uses the embedded "jim" Tcl interpreter
+make static
+
+install -D -s --mode=755 usb_modeswitch $PKG/usr/sbin/usb_modeswitch
+install -D --mode=755 usb_modeswitch.sh $PKG/lib/udev/usb_modeswitch
+install -D --mode=644 usb_modeswitch.conf $PKG/etc/usb_modeswitch.conf.new
+install -D --mode=644 usb_modeswitch.1 $PKG/usr/man/man1/usb_modeswitch.1
+install -d $PKG/var/lib/usb_modeswitch
+install -D -s --mode=755 usb_modeswitch_dispatcher $PKG/usr/sbin/usb_modeswitch_dispatcher
+
+# Compress and if needed symlink the man pages:
+if [ -d $PKG/usr/man ]; then
+ ( cd $PKG/usr/man
+ for manpagedir in $(find . -type d -name "man*") ; do
+ ( cd $manpagedir
+ for eachpage in $( find . -type l -maxdepth 1) ; do
+ ln -s $( readlink $eachpage ).gz $eachpage.gz
+ rm $eachpage
+ done
+ gzip -9 *.?
+ )
+ done
+ )
+fi
mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
cp -a \
@@ -85,6 +104,10 @@ cp -a \
$PKG/usr/doc/$PKGNAM-$VERSION
# http://www.draisberghof.de/usb_modeswitch/device_reference.txt.gz
cat $CWD/device_reference.txt.gz > $PKG/usr/doc/$PKGNAM-$VERSION/device_reference.txt
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION/jim
+cp -a \
+ jim/{AUTHORS,LICENSE,README*} \
+ $PKG/usr/doc/$PKGNAM-$VERSION/jim
# If there's a ChangeLog, installing at least part of the recent history
# is useful, but don't let it get totally out of control:
@@ -105,9 +128,7 @@ find . \
-exec chmod 755 {} \; -o \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-install -D -m 0644 40-usb_modeswitch.rules $PKG/lib/udev/rules.d/40-usb_modeswitch.rules
-mkdir -p $PKG/etc
-cp -a usb_modeswitch.d $PKG/etc
+make install DESTDIR=$PKG || exit 1
mkdir -p $PKG/usr/doc/usb-modeswitch-data-${DATAVER}
cat ChangeLog | head -n 1000 > $PKG/usr/doc/usb-modeswitch-data-${DATAVER}/ChangeLog
touch -r ChangeLog $PKG/usr/doc/usb-modeswitch-data-${DATAVER}/ChangeLog